﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;
using System.Windows.Media;

namespace Cursed.geom
{
    public interface IShape
    {
        bool intersects(IShape other);
        Vector2 intersectionNormal(IShape other);
        Vector2 Center { get; }
        void setTransform(Vector2 translation, float rotation, float scale);
        Bounds Bounds { get; }
        Vector2 Translation { get; set; }
        float Rotation { get; set; }
        float Scale { get; set; }
    }
}
