﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Cursed.gob.mob.kob;
using Cursed.gob;
using Cursed.gob.mob;

namespace Cursed.input.ai
{
    public class DruidSeeker : PathControl
    {
        Mob self;

        public DruidSeeker(Mob self)
            : base(self.CursedGame)
        {
            this.self = self;
            Push(self);
        }

        public override void act(Microsoft.Xna.Framework.GameTime time)
        {
            Active = false;
            foreach (Mob mob in self.SeenMobs)
            {
                if (mob is Druid)
                {
                    Destination = mob.GobInfo.Loc;
                    Active = true;
                    DirectionControlInfo directionInfo = new DirectionControlInfo();
                    directionInfo.Direction = getDirection(self.GobInfo.Loc);
                    Target.control(directionInfo);
                    if ((Destination - self.GobInfo.Loc).Length() > self.GobInfo.ViewRange - 1)
                    {
                        Target.control(new LungeInfo());
                    }
                }
            }
        }

        public override void cleanup()
        {

        }
    }
}
